/* START: mixin */
	@mixin transition($args...) {
	  -webkit-transition: $args;
	  -moz-transition: $args;
	  -ms-transition: $args;
	  -o-transition: $args;
	  transition: $args;
	}

	@mixin transformx ($amount) {
	    -webkit-transform: translate($amount, 0);
	    -ms-transform: translate($amount, 0);
	    -o-transform: translate($amount, 0);
	    transform: translate($amount, 0);
	}
/* END */
/* START: Bootstrap Overwriting */
	.alert {
		border-radius:0;
    border: none;
	}
  .alert > .help-block {
    color:black;
  }
  .alert-danger {
    background-color: #EDE04D;
  }

	.btn {
		border-radius:0;
		border:none;
		padding:0;
	}

	.btn.disabled {
		pointer-events: none;
		color: $text-color-unavailable !important;
	}

	.btn-danger {
		background-color:$color-red;
	}

	.btn-danger:hover {
		\background-color: darken($color-red,10%);
	}

	.container-fluid {
		padding-left: 0;
		padding-right: 0;
		min-height: 100vh;
	}

	.row {
		margin:0;
	}

	.col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
		min-height:0px !important;
		padding:0;
	}

	.col-xs-5ths {
		@extend .col-xs-1;
		width: 20%;
	}

	.col-sm-5ths {
		@extend .col-sm-1;
		width: 20%;
	}

	.col-md-5ths {
		@extend .col-md-1;
		width: 20%;
	}

	.col-lg-5ths {
		@extend .col-lg-1;
		width: 20%;
	}

	.form-control {
		border-radius:0;	
	}

	.panel {
		margin-bottom:0;
		box-shadow: none;
	}

	.panel + .panel {
		margin-top:$space;
	}

	.list-group {
		border-radius: 0;
	}

	.list-group-item {
		border: none;
		background-color: transparent;
	}

	.text-danger {
		color: $color-red;
	}
/* END */
/* START: HTML Tag */
	html {
		max-width:100%;
		overflow-x:hidden;
	}

	body {
		position:relative;
		margin-top:-1px;
		padding-top:1px;
		max-width:$body-max-width;
		min-width:$body-min-width;
		background-color:$body-bg-color;
		//overflow-y:scroll;
		overflow-x:hidden;
		text-align:center;	
		-webkit-overflow-scrolling:touch;
	}

	@media screen and (max-width: $max-width-sm) {
		//body hide scrollbar
			body::-webkit-scrollbar {  width: 0 !important } 	//for google chrome and safari
			body { -ms-overflow-style: none; } 					//for IE 10+
			body { overflow: -moz-scrollbars-none; }			//for firefox
	}
	
	body.modal-open {
	 	position: fixed;			//prevent body scrolling when scroll modal
	 	overflow-y: hidden;			//prevent body scrolling when scroll modal
	 	width:100%;					//ensure the body width retain when open modal
		margin-top:0px !important;	//remove margin & padding when open modal
	 	padding: 0px !important;	//remove margin & padding when open modal
	}

	a, a:hover, a:focus {
		text-decoration: none;
	}

	a {
		cursor:pointer;
	}

	div {
		box-sizing:border-box;		//include border inside of height and width
	}

	h1 {
		font-weight: bold;
		font-size: 36px;
		margin-top: 50px;
		margin-bottom: 0;
		text-transform: uppercase;
	}

	h2 {
		margin-top: 20px;
		font-size: 28px;
		line-height: 60px;
	}

	@media screen and (max-width: $max-width-sm) {
		h2 {
			margin-top: 0;
			font-size: 16px;
			line-height: 40px;
			font-weight: bold;
		}
	}

	input, select {
	    background: transparent;
	    outline: none; 
	}

	label {
		font-weight: normal;
	}

	textarea {
		resize:none;
	}
/* END */
/* START: Class */
	/* START: background */
		//color
			//theme
				.bg-admin { background-color: $color-admin; }
				.bg-primary { background-color: $color-primary; }
				.bg-primary-light { background-color: lighten($color-primary,10%); }
				.bg-primary-lighter { background-color: lighten($color-primary,30%); }
				.bg-primary-lightest { background-color: lighten($color-primary,50%); }
				.bg-primary-dark { background-color: darken($color-primary,10%); }
				.bg-primary-darker { background-color: darken($color-primary,30%); }
				.bg-primary-darkest { background-color: darken($color-primary,50%); }
				.bg-secondary { background-color: $color-secondary; }
				.bg-tertiary { background-color: $color-tertiary; }
				.bg-null { background-color: $color-null; }
			//origin
				.bg-black { background-color: $color-black; }
				.bg-white { background-color: $color-white; }
				.bg-red { background-color: $color-red; }
				.bg-yellow { background-color: $color-yellow; }
				.bg-blue { background-color: $color-blue; }
				.bg-green { background-color: $color-green; }
				.bg-gray, .bg-grey { background-color: $color-gray; }
				.bg-lightgray, .bg-lightgrey { background-color: $color-lightgray; }
				.bg-silver { background-color: $color-silver; }
	/* END */
	/* START: border */
		//border
			$b:$border;
			.border { border:$b; }
			.border-top { border-top:$b; }
			.border-bottom { border-bottom:$b; }
			.border-left { border-left:$b; }
			.border-right { border-right:$b; }
			.border-v { border-top:$b; border-bottom:$b; }
			.border-h { border-left:$b; border-right:$b; }
		//border-light
			$b:$border-light;
			.border-light { border:$b; }
			.border-light-top { border-top:$b; }
			.border-light-bottom { border-bottom:$b; }
			.border-light-left { border-left:$b; }
			.border-light-right { border-right:$b; }
			.border-light-v { border-top:$b; border-bottom:$b; }
			.border-light-h { border-left:$b; border-right:$b; }
		//border-dark
			$b:$border-dark;
			.border-dark { border:$b; }
			.border-dark-top { border-top:$b; }
			.border-dark-bottom { border-bottom:$b; }
			.border-dark-left { border-left:$b; }
			.border-dark-right { border-right:$b; }
			.border-dark-v { border-top:$b; border-bottom:$b; }
			.border-dark-h { border-left:$b; border-right:$b; }
		//border-transparent
			$b:$border-transparent;
			.border-bottom-transparent { border-bottom: $b !important;}
	/* END */
	/* START: box-shadow */
		.box-shadow {
			-moz-box-shadow:    $shadow-size $shadow-size $shadow;
			-webkit-box-shadow: $shadow-size $shadow-size $shadow;
			box-shadow:         $shadow-size $shadow-size $shadow;
		}

		.box-shadow-top {
			-moz-box-shadow:    0 (-$shadow-size) $shadow;
			-webkit-box-shadow: 0 (-$shadow-size) $shadow;
			box-shadow: 		0 (-$shadow-size) $shadow;
		}

		.box-shadow-bottom {
			-moz-box-shadow:    0 $shadow-size $shadow;
			-webkit-box-shadow: 0 $shadow-size $shadow;
			box-shadow: 		0 $shadow-size $shadow;
		}

		.box-shadow-left {
			-moz-box-shadow:    (-$shadow-size) 0 $shadow;
			-webkit-box-shadow: (-$shadow-size) 0 $shadow;
			box-shadow: 		(-$shadow-size) 0 $shadow;
		}

		.box-shadow-right {
			-moz-box-shadow:    $shadow-size 0 $shadow;
			-webkit-box-shadow: $shadow-size 0 $shadow;
			box-shadow: 		$shadow-size 0 $shadow;
		}
	/* END */
	/* START: default */
		.default-cursor {
			cursor: default;
		}

		.default-width {
			width: auto;
		}
	/* END */
	/* START: dimension */
		//padding
			//padding
				$s:$space;
				.padding { padding:$s !important; }			
				.padding-top { padding-top:$s !important; }
				.padding-bottom { padding-bottom:$s !important; }
				.padding-left { padding-left:$s !important; }
				.padding-right { padding-right:$s !important; }
				.padding-v { padding-top:$s !important; padding-bottom:$s !important; }
				.padding-h { padding-left:$s !important; padding-right:$s !important; }
			//padding-xs
				$s:$space-xs;
				.padding-xs { padding:$s !important; }
				.padding-xs-top { padding-top:$s !important; }
				.padding-xs-bottom { padding-bottom:$s !important; }
				.padding-xs-left { padding-left:$s !important; }
				.padding-xs-right { padding-right:$s !important; }
				.padding-xs-v { padding-top:$s !important; padding-bottom:$s !important; }
				.padding-xs-h { padding-left:$s !important; padding-right:$s !important; }
			//padding-sm
				$s:$space-sm;
				.padding-sm { padding:$s !important; }
				.padding-sm-top { padding-top:$s !important; }
				.padding-sm-bottom { padding-bottom:$s !important; }
				.padding-sm-left { padding-left:$s !important; }
				.padding-sm-right { padding-right:$s !important; }
				.padding-sm-v { padding-top:$s !important; padding-bottom:$s !important; }
				.padding-sm-h { padding-left:$s !important; padding-right:$s !important; }
			//padding-md
				$s:$space-md;
				.padding-md { padding:$s !important; }
				.padding-md-top { padding-top:$s !important; }
				.padding-md-bottom { padding-bottom:$s !important; }
				.padding-md-left { padding-left:$s !important; }
				.padding-md-right { padding-right:$s !important; }
				.padding-md-v { padding-top:$s !important; padding-bottom:$s !important; }
				.padding-md-h { padding-left:$s !important; padding-right:$s !important; }
			//padding-lg
				$s:$space-lg;
				.padding-lg { padding:$s !important; }
				.padding-lg-top { padding-top:$s !important; }
				.padding-lg-bottom { padding-bottom:$s !important; }
				.padding-lg-left { padding-left:$s !important; }
				.padding-lg-right { padding-right:$s !important; }
				.padding-lg-v { padding-top:$s !important; padding-bottom:$s !important; }
				.padding-lg-h { padding-left:$s !important; padding-right:$s !important; }
			//padding-5
				$s:5px;
				.padding-5 { padding:$s !important; }
				.padding-top-5 { padding-top:$s !important; }
				.padding-bottom-5 { padding-bottom:$s !important; }
				.padding-left-5 { padding-left:$s !important; }
				.padding-right-5 { padding-right:$s !important; }
			//padding-10
				$s:10px;
				.padding-10 { padding:$s !important; }
				.padding-top-10 { padding-top:$s !important; }
				.padding-bottom-10 { padding-bottom:$s !important; }
				.padding-left-10 { padding-left:$s !important; }
				.padding-right-10 { padding-right:$s !important; }
			//padding-15
				$s:15px;
				.padding-15 { padding:$s !important; }
				.padding-top-15 { padding-top:$s !important; }
				.padding-bottom-15 { padding-bottom:$s !important; }
				.padding-left-15 { padding-left:$s !important; }
				.padding-right-15 { padding-right:$s !important; }
			//padding-100
				$s:100px;
				.padding-100 { padding:$s !important; }
				.padding-top-100 { padding-top:$s !important; }
				.padding-bottom-100 { padding-bottom:$s !important; }
				.padding-left-100 { padding-left:$s !important; }
				.padding-right-100 { padding-right:$s !important; }
		//margin
			//margin
				$s:$space;
					.margin { margin:$s !important; }
					.margin-top { margin-top:$s !important; }
					.margin-bottom { margin-bottom:$s !important; }
					.margin-left { margin-left:$s !important; }
					.margin-right { margin-right:$s !important; }
					.margin-v { margin-top:$s !important; margin-bottom:$s !important; }
					.margin-h { margin-left:$s !important; margin-right:$s !important; }
			//margin-xs
				$s:$space-xs;
					.margin-xs { margin:$s !important; }
					.margin-xs-top { margin-top:$s !important; }
					.margin-xs-bottom { margin-bottom:$s !important; }
					.margin-xs-left { margin-left:$s !important; }
					.margin-xs-right { margin-right:$s !important; }
					.margin-xs-v { margin-top:$s !important; margin-bottom:$s !important; }
					.margin-xs-h { margin-left:$s !important; margin-right:$s !important; }
			//margin-sm
				$s:$space-sm;
					.margin-sm { margin:$s !important; }
					.margin-sm-top { margin-top:$s !important; }
					.margin-sm-bottom { margin-bottom:$s !important; }
					.margin-sm-left { margin-left:$s !important; }
					.margin-sm-right { margin-right:$s !important; }
					.margin-sm-v { margin-top:$s !important; margin-bottom:$s !important; }
					.margin-sm-h { margin-left:$s !important; margin-right:$s !important; }
			//margin-md
				$s:$space-md;
					.margin-md { margin:$s !important; }
					.margin-md-top { margin-top:$s !important; }
					.margin-md-bottom { margin-bottom:$s !important; }
					.margin-md-left { margin-left:$s !important; }
					.margin-md-right { margin-right:$s !important; }
					.margin-md-v { margin-top:$s !important; margin-bottom:$s !important; }
					.margin-md-h { margin-left:$s !important; margin-right:$s !important; }
			//margin-lg
				$s:$space-lg;
					.margin-lg { margin:$s !important; }
					.margin-lg-top { margin-top:$s !important; }
					.margin-lg-bottom { margin-bottom:$s !important; }
					.margin-lg-left { margin-left:$s !important; }
					.margin-lg-right { margin-right:$s !important; }
					.margin-lg-v { margin-top:$s !important; margin-bottom:$s !important; }
					.margin-lg-h { margin-left:$s !important; margin-right:$s !important; }
			//margin-5
				$s:5px;
					.margin-5 { margin:$s !important; }
					.margin-top-5 { margin-top:$s !important; }
					.margin-bottom-5 { margin-bottom:$s !important; }
					.margin-left-5 { margin-left:$s !important; }
					.margin-right-5 { margin-right:$s !important; }
			//margin-10
				$s:10px;
					.margin-10 { margin:$s !important; }
					.margin-top-10 { margin-top:$s !important; }
					.margin-bottom-10 { margin-bottom:$s !important; }
					.margin-left-10 { margin-left:$s !important; }
					.margin-right-10 { margin-right:$s !important; }
			//margin-15
				$s:15px;
					.margin-15 { margin:$s !important; }
					.margin-top-15 { margin-top:$s !important; }
					.margin-bottom-15 { margin-bottom:$s !important; }
					.margin-left-15 { margin-left:$s !important; }
					.margin-right-15 { margin-right:$s !important; }

		//margin-offset
			.margin-offset-xs { margin:(-$space-xs) !important; }
			.margin-offset-sm { margin:(-$space-sm) !important; }
			.margin-offset { margin:(-$space) !important; }
			.margin-offset-top { margin-top:(-$space) !important; }
			.margin-offset-bottom { margin-bottom:(-$space) !important; }
			.margin-offset-left { margin-left:(-$space) !important; }
			.margin-offset-right { margin-right:(-$space) !important; }
			.margin-offset-v { margin-top:(-$space) !important; margin-bottom:(-$space) !important; }
			.margin-offset-h { margin-left:(-$space) !important; margin-right:(-$space) !important; }
	/* END */
	/* START: full */
		.full-height { height:100%; }
		.full-width { width:100%; }
		.full-screen-height { height:100vh; }
		.full-screen-width { width:100vw; }
	/* END */
	/* START: height */
		.height-full { height: 100% }
		.height-screen { height: 100vh !important; }
		.height-10 { height: 10px !important; }
		.height-20 { height: 20px !important; }
		.height-30 { height: 30px !important; }
		.height-40 { height: 40px !important; }
		.height-50 { height: 50px !important; }
	/* END */
	/* START: hidden */
		.hidden-init { display:none; }
		.hidden-scrollbar {
			-ms-overflow-style: none;
			overflow: -moz-scrollbars-none;
			&::-webkit-scrollbar {  width: 0 !important }
		}
	/* END */
	/* START: line-height */
		.line-height-10 { line-height: 10px !important; }
		.line-height-20 { line-height: 20px !important; }
		.line-height-30 { line-height: 30px !important; }
		.line-height-40 { line-height: 40px !important; }
		.line-height-50 { line-height: 50px !important; }
	/* END */
	/* START: max */
		.max-width-xs { max-width: $width-xs; margin-right: auto; margin-left: auto; }
		.max-width-ls { max-width: $width-ls; margin-right: auto; margin-left: auto; }
		.max-width-sm { max-width: $width-sm; margin-right: auto; margin-left: auto; }
		.max-width-md { max-width: $width-md; margin-right: auto; margin-left: auto; }
		.max-width-lg { max-width: $width-lg; margin-right: auto; margin-left: auto; }
	/* END */
	/* START: min */
		.min-width-xs { min-width: $width-xs; margin-right: auto; margin-left: auto; }
		.min-width-sm { min-width: $width-sm; margin-right: auto; margin-left: auto; }
		.min-width-md { min-width: $width-md; margin-right: auto; margin-left: auto; }
		.min-width-lg { min-width: $width-lg; margin-right: auto; margin-left: auto; }
	/* END */
	/* START: no */
		//bg-color
		.no-bg-color {
			background-color: transparent !important;
			&:hover {
				background-color: transparent !important;
			}
			&:active {
				background-color: transparent !important;
			}
		}

		//border
		.no-border { border: none !important; }
		.no-border-top { border-top: none !important; }
		.no-border-bottom { border-bottom: none !important; }
		.no-border-left { border-left: none !important; }
		.no-border-right { border-right: none !important; }
		.no-border-v { border-top:0 !important; border-bottom:0 !important; }
		.no-border-h { border-left:0 !important; border-right:0 !important; }

		//box-shadow
		.no-box-shadow { box-shadow: none !important; }

		//max
		.no-max-width { max-width: none !important; }

		//margin	
		.no-margin { margin:0 !important; }
		.no-margin-top { margin-top:0 !important; }
		.no-margin-bottom { margin-bottom:0 !important; }
		.no-margin-left { margin-left:0 !important; }
		.no-margin-right { margin-right:0 !important; }
		.no-margin-v { margin-top:0 !important; margin-bottom:0 !important; }
		.no-margin-h { margin-left:0 !important; margin-right:0 !important; }

		//padding
		.no-padding { padding:0 !important; }
		.no-padding-top { padding-top:0 !important; }
		.no-padding-bottom { padding-bottom:0 !important; }
		.no-padding-left { padding-left:0 !important; }
		.no-padding-right { padding-right:0 !important; }
		.no-padding-v { padding-top:0 !important; padding-bottom:0 !important; }
		.no-padding-h { padding-left:0 !important; padding-right:0 !important; }

		//rounded
		.no-rounded { border-radius:0 !important; }

		//select
		.no-select {
			-webkit-touch-callout: none; /* iOS Safari */
			-webkit-user-select: none;   /* Chrome/Safari/Opera */
			-khtml-user-select: none;    /* Konqueror */
			-moz-user-select: none;      /* Firefox */
			-ms-user-select: none;       /* Internet Explorer/Edge */
			user-select: none;           /* Non-prefixed version, currently not supported by any browser */
		}

		//scrollbar
		.no-scrollbar::-webkit-scrollbar { display: none; }
	/* END */
	/* START: opacity */
		.opacity-10 {
			opacity:0.1;
		}
		.opacity-20 {
			opacity:0.2;
		}
		.opacity-30 {
			opacity:0.3;
		}
		.opacity-40 {
			opacity:0.4;
		}
		.opacity-50 {
			opacity:0.5;
		}
		.opacity-60 {
			opacity:0.6;
		}
		.opacity-70 {
			opacity:0.7;
		}
		.opacity-80 {
			opacity:0.8;
		}
		.opacity-90 {
			opacity:0.9;
		}
		.opacity-100 {
			opacity:1;
		}
	/* END */
	/* START: palette */
		.palette-admin {
			background-color: $palette-admin-bg-color;
			color: $palette-admin-text-color;
		}

		.palette-admin-block {
			background-color: $palette-admin-bg-color;
			color: $palette-admin-text-color;
			@extend .border;
			&:hover, &:active, &:focus {
				outline: none;
				background-color: $palette-admin-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
			&:active:hover, &:active:focus, &:active.focus, &.active:hover, &.active:focus, &.active.focus {
				outline: none;
				background-color: $palette-admin-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
		}

		.palette-admin-inverted {
			background-color: $palette-admin-text-color;
			color: $palette-admin-bg-color;
		}

		.palette-admin-inverted-block {
			background-color: $palette-admin-inverted-bg-color;
			color: $palette-admin-inverted-text-color;
			border-color: $palette-admin-inverted-border-color;
			&:hover, &:active, &:focus {
				outline: none;
				background-color: $palette-admin-inverted-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
			&:active:hover, &:active:focus, &:active.focus, &.active:hover, &.active:focus, &.active.focus {
				outline: none;
				background-color: $palette-admin-inverted-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
		}


		.palette-primary {
			background-color: $palette-primary-bg-color;
			color: $palette-primary-text-color;
		}

		.palette-primary-block {
			background-color: $palette-primary-bg-color;
			color: $palette-primary-text-color;
			@extend .border;
			&:hover, &:active, &:focus {
				outline: none;
				background-color: $palette-primary-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
			&:active:hover, &:active:focus, &:active.focus, &.active:hover, &.active:focus, &.active.focus {
				outline: none;
				background-color: $palette-primary-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
		}
		
		.palette-primary-inverted {
			background-color: $palette-primary-inverted-bg-color;
			color: $palette-primary-inverted-text-color;
		}

		.palette-primary-inverted-block {
			background-color: $palette-primary-inverted-bg-color;
			color: $palette-primary-inverted-text-color;
			border-color: $palette-primary-inverted-border-color;
			&:hover, &:active, &:focus {
				outline: none;
				background-color: $palette-primary-inverted-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
			&:active:hover, &:active:focus, &:active.focus, &.active:hover, &.active:focus, &.active.focus {
				outline: none;
				background-color: $palette-primary-inverted-hover-color;
				border-color: rgba(0,0,0,0.2);
			}
		}

		.palette-secondary {
			background-color: $palette-secondary-bg-color;
			color: $palette-secondary-text-color;
		}
		.palette-secondary-inverted {
			background-color: $palette-secondary-text-color;
			color: $palette-secondary-bg-color;
		}
		.palette-tertiary {
			background-color: $palette-tertiary-bg-color;
			color: $palette-tertiary-text-color;
		}
		.palette-tertiary-inverted {
			background-color: $palette-tertiary-text-color;
			color: $palette-tertiary-bg-color;
		}
	/* END */
	/* START: position */
		.position-center {		//absolute center
			position:absolute;
			top:0;
			bottom:0;
			left:0;
			right:0;
			margin:auto;
		}

		.position-top {
			position: absolute;
			top: 0;
		}

		.position-bottom {
			position: absolute;
			bottom: 0;
		}

		.position-left {
			position: absolute;
			left: 0;
		}

		.position-right {
			position: absolute;
			right: 0;
		}

		.position-fixed-top {
			position: fixed !important;
			top: 0;
			left:0;
			right:0;
			margin: auto;
		}

		.position-fixed-bottom {
			position: fixed !important;
			bottom: 0;
			left:0;
			right:0;
			margin: auto;
		}

		.position-fixed-left {
			position: fixed !important;
			top: 0;
			bottom:0;
			left:0;
			margin: auto;
		}

		.position-fixed-right {
			position: fixed !important;
			top: 0;
			bottom:0;
			right:0;
			margin: auto;
		}

		.position-fixed-center {
			position: fixed !important;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			margin: auto;
		}
	/* END */
	/* START: rounded */
		.rounded-xs { border-radius:$rounded-xs; }
		.rounded-sm { border-radius:$rounded-sm; }
		.rounded { border-radius:$rounded; }
		.rounded-full { border-radius:$rounded-full; }
	/* END */
	/* START: scrollbar */
		.scrollable-y {
			overflow-y:auto;
			overflow-x:hidden;
			padding-top:1px;
			margin-top:-1px;
			-webkit-overflow-scrolling:touch;
		}
	/* END */
	/* START: text */
		//class
			//based on theme
				.text-admin { color: $color-admin; }
				.text-primary { color: $color-primary !important; } //overwrite bootstrap
				.text-secondary { color: $color-secondary; }
				.text-tertiary { color: $color-tertiary; }
			//based on function
				.text-sub { color: $text-color-secondary; }
				.text-disabled { color: $text-color-disabled; }
				.text-available { color: $text-color-available; }
				.text-unavailable { color: $text-color-unavailable; }
				.text-null { color: $text-color-null; }
		//color
			.text-white { color: $color-white; }
			.text-black { color: $color-black; }
		//decoration
			.text-b { font-weight: bold; }
			.text-i { font-style: italic; }
			.text-u { text-decoration: underline; }
			.text-s { text-decoration: line-through; }
			.text-bold { font-weight: bold; }
			.text-thin { font-weight: 100; }
		//family
			.text-helvetica { font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; }
			.text-lobster { font-family: 'Lobster', cursive; }
			.text-roboto { font-family: 'Roboto', sans-serif; }
		//overflow
			.text-line-container {
				overflow: hidden;
				
				//center vertically
					display: flex;
					flex-direction: column;
					justify-content: space-around;
			}

			.text-line-1 {
				overflow: hidden;
				text-overflow: ellipsis;
				display: -webkit-box;
				-webkit-line-clamp: 1;
				-webkit-box-orient: vertical;
			}
			.text-line-2 {
				overflow: hidden;
				text-overflow: ellipsis;
				display: -webkit-box;
				-webkit-line-clamp: 2;
				-webkit-box-orient: vertical;
			}
			.text-nowrap {
				text-overflow: initial;
				white-space: nowrap;
			}
		//size
			//absolute
			.text-6 { font-size: 6px; }
			.text-7 { font-size: 7px; }
			.text-8 { font-size: 8px; }
			.text-9 { font-size: 9px; }
			.text-10 { font-size: 10px; }
			.text-11 { font-size: 11px; }
			.text-12 { font-size: 12px; }
			.text-13 { font-size: 13px; }
			.text-14 { font-size: 14px; }
			.text-15 { font-size: 15px; }
			.text-16 { font-size: 16px; }
			.text-17 { font-size: 17px; }
			.text-18 { font-size: 18px; }
			.text-24 { font-size: 24px; }
			.text-36 { font-size: 36px; }
			.text-48 { font-size: 48px; }
			//relative
			.text-xs { font-size: 50%; }
			.text-sm { font-size: 75%; }
			.text-lg { font-size: 150%; }
			.text-2x { font-size: 200%; }
		//valign
			.text-top { vertical-align: top !important; }
			.text-bottom { vertical-align: bottom !important; }
	/* END */
	/* START: width */
		.width-full {
			width: 100%;
		}
		.width-screen {
			width: 100vw;
		}
		.width-max-120 {
			max-width: 120px;
		}
		.width-max-150 {
			max-width: 150px;
		}
		.width-offset-10 {
			width: calc(100% - 10px);
		}
		.width-offset-20 {
			width: calc(100% - 20px);
		}
		.width-offset-30 {
			width: calc(100% - 30px);
		}
		.width-offset-40 {
			width: calc(100% - 40px);
		}
		.width-offset-50 {
			width: calc(100% - 50px);
		}
		.width-offset-80 {
			width: calc(100% - 80px);
		}
		.width-offset-100 {
			width: calc(100% - 100px);
		}
		.width-offset-120 {
			width: calc(100% - 120px);
		}
		.width-offset-150 {
			width: calc(100% - 150px);
		}
		.width-offset-160 {
			width: calc(100% - 160px);
		}
	/* END */
/* END */
/* START: Layout */
	.main-sky {
		.header {
		}

		
	}

	.main-ceiling {
	}

	.main-column {
		text-align: left;

		.col-left {
			width: 100%;
			float: left;
		}

		.col-center {
			float: left;
		}

		.col-center-0-column {
			width: 100%;
		}

		.col-center-1-column {
			width: 100%;
		}

		.col-center-2-column {
			width: 100%;
		}

		.col-right {
			width: 100%;
			float: left;
		}

		@media screen and (min-width: $width-sm) {
			> .row {
				display: table;
			}

			.col-left {
				display: table-cell;
				min-height: 1px;
				width: $menu-width;
				max-width: $menu-width;
				float: none;
			}
				
			.col-center {
				display: table-cell;
				float: none;
			}

			.col-center-0-column {
				width: calc(100vw - 0 * #{$menu-width});
			}

			.col-center-1-column {
				width: calc(100vw - 1 * #{$menu-width});
			}

			.col-center-2-column {
				width: calc(100vw - 2 * #{$menu-width});
			}

			.col-right {
				display: table-cell;
				min-height: 1px;
				width: $menu-width;
				max-width: $menu-width;
				float: none;
			}

			.attach-sidebar {
				.col-left {
					width: $sidebar-width;
				}

				.col-center-1-column {
					width: calc(100vw - 1 * #{$sidebar-width});
				}
			}			
		}
	}

	.main-floor {

		.footer {
			position:absolute;
			bottom:0;
			width:100%;
			height:$footer-height;
			margin-top:$footer-margin-top;

			font-family: "Miriam Libre","Open Sans",sans-serif;
			background-color: $main-floor-bg-color;
			@extend .padding;
			.list-group {
				height: $tab-height;
				@extend .no-margin;
				.list-group-item {
					display: inline-block;
					@extend .default-width;
					@extend .text-left;
					@extend .no-border;
					@extend .no-bg-color;
					@extend .no-rounded;
					&:hover {
						@extend .text-primary;
					}
					&.active {
						@extend .text-primary;
					}
					.icon {
						display: none;
					}
				}
			}
		}

		.footer-backwall {
			width:100%;
			height:$footer-height;
		}

		.trademark {
			margin-top: $footer-trademark-margin-top;
			text-align: $footer-trademark-text-align;
			color: #AEAEAE;
		}
	}

	.main-ground {
	}
/* END */
/* START: Component */
	/* START: Bottomnav */
		.bottomnav {
			position: fixed;
			bottom: 0;
			background-color: $bottomnav-bg-color;
			font-size: $bottomnav-text-size;
			line-height: $bottomnav-text-line-height;
			text-align: center;
			z-index: $z-index-header;
			width: 100%;
			height: $bottomnav-height;
			@extend .no-border;
			a {
				display:block;
				width:100%;
				height:$bottomnav-height;
				color: $bottomnav-text-color;
				padding-top:calc(#{($bottomnav-height - $bottomnav-text-line-height - $bottomnav-icon-line-height) / 2});
				opacity:0.8;
			}

			a.active {
				color: $bottomnav-text-color-active;
				opacity:1;
			}

			.fa {
				line-height: $bottomnav-icon-line-height;
				font-size: $bottomnav-icon-size;
			}
		}
	/* END */
	/* START: Button */
		.btn-primary {
			@extend .palette-primary-inverted-block;
		}

		.btn-primary-inverted {
			@extend .palette-primary-block;
		}

		.btn-link {
			color: $color-primary;
			&:hover {
				color: $color-primary-dark;
			}
		}

		.btn-default {
		}

		.btn-social {
			color: white;
			height: 40px;
			width: 40px;
			line-height: 40px;
			@extend .no-padding;
			&:hover {
				color: white;
				opacity: 0.7;
			}
		}

		@media screen and (max-width: $max-width-sm) {
			.btn-social {
				height: 50px;
				width: 50px;
				line-height: 50px;
			}
		}

		.btn-facebook {
			@extend .btn-social;
			background-color: $social-facebook-color;
		}

		.btn-facebook-block {
			@extend .btn-facebook;
			width: 100%;
		}

		.btn-google-plus {
			@extend .btn-social;
			background-color: $social-google-color;
		}

		.btn-google-plus-block {
			@extend .btn-google-plus;
			width: 100%;
		}

		.btn-linkedin {
			@extend .btn-social;
			background-color: $social-linkedin-color;
		}

		.btn-linkedin-block {
			@extend .btn-linkedin;
			width: 100%;
		}

		.btn-twitter {
			@extend .btn-social;
			background-color: $social-twitter-color;
		}

		.btn-twitter-block {
			@extend .btn-twitter;
			width: 100%;
		}

		.btn-youtube {
			@extend .btn-social;
			background-color: $social-youtube-color;
		}

		.btn-youtube-block {
			@extend .btn-youtube;
			width: 100%;
		}

		/*
		.btn-scondary {
			@extend .btn-primary;
			background: $secondary-component-color;
			a , span, li {
				color: $secondary-component-tx-color;	
			}
		}

		.btn-tertiary {
			@extend .btn-primary;
			background: $tertiary-component-color;
			a , span, li {
				color: $tertiary-component-tx-color;	
			}
		}
		*/
		.btn-block-fixed {
			max-width: $btn-max-width;
			margin:auto;
		}

		.btn-circle {
			width: 30px;
			height: 30px;
			padding: 4px 4px;
			border-radius: 15px;
		}

		.btn-circle-lg {
			width: 40px;
			height: 40px;
			padding: 8px 8px;
			border-radius: 20px;
		}

		.btn-circle-2x {
			width: 55px;
			height: 55px;
			padding: 12px 12px;
			border-radius: 30px;
		}

	/* END */
	/* START: Card */
		.card { 
			@extend .padding;
			@extend .border;
			@extend .bg-white;
			@extend .text-black;
		}
	/* END */
	/* START: Card Awesome */
		/* START: ca-row */
			.ca.ca-white .ca-row {
				background-color:#FFF;
			}
			
			.ca.ca-card .ca-row {
				width:100%;
				height:auto;
				margin-top:5px;
				margin-bottom:5px;
				border:solid thin #CCC;
			}
			
			.ca.ca-card .ca-row .ca-img {
				width:100%;
			}
			
			.ca-row .ca-desc {
				display:inline-block;
			}
			
			.ca .ca-text-main {
				color:#000;
				font-weight:bold;
			}
		/* END */
		/* START: ca-text */
			.ca-text {
				overflow: hidden;
				text-overflow: ellipsis;
				display: flex;  /* enables centering for modern non-webkit browsers */
				flex-direction: column;
				justify-content: space-around; /* centers for modern non-webkit browsers */
				display: -webkit-box;
				-webkit-line-clamp: 1;
				-webkit-box-orient: vertical;
				-webkit-box-pack: center; /* centers in -webkit-box automagically! */
			}

			.ca-pointer {
				cursor:pointer;
			}
			
			.ca-text-main {
				font-weight:bold;
				line-height:25px;
			}
			
			.ca-text-sub {
				color:#777;
				font-size:11px;
				line-height:20px;
			}
			
			.ca-text-clamp-1 {
				-webkit-line-clamp: 1;
			}
			
			.ca-text-clamp-2 {
				-webkit-line-clamp: 2;
			}
		/* END */
		/* START: ca-gallery */
			.ca-gallery .padding-top {
				padding-top:1px !important;
			}
			.ca-gallery .padding-bottom {
				padding-bottom:1px !important;
			}
			.ca-gallery .padding-left {
				padding-left:1px !important;
			}
			.ca-gallery .padding-right {
				padding-right:1px !important;
			}
		/* END */
	/* END */
	/* START: Content */
		.content-group { 
			position:relative;
		}

		//Layer
			//Loading
				.content-loading-wrapper {
					min-width:$content-min-width;
					z-index: $z-index-content-loading;
					@extend .position-fixed-top;
					@extend .full-width;
					@extend .full-screen-height;
					@extend .padding-h;
				}

				.content-loading {
					position:relative;
					top:calc(#{$navbar-height * 4});
					opacity:0.8;
				}

				.content-loading-icon {
					@extend .margin-bottom;
				}

				.content-loading-message {
					@extend .margin-top;
				}

			//Error
				.content-error-wrapper {
					min-width:$content-min-width;
					z-index: $z-index-content-error;
					@extend .position-fixed-top;
					@extend .full-width;
					@extend .full-screen-height;
					@extend .padding-h;
				}

				.content-error {
					position:relative;
					top:calc(#{$navbar-height * 4});
				}

				.content-error-icon {
				}

				.content-error-title {
				}

				.content-error-message {
				}

			//Empty
				.content-empty-wrapper {
					min-width:$content-min-width;
					z-index: $z-index-content-empty;
					@extend .position-fixed-top;
					@extend .full-width;
					@extend .full-screen-height;
					@extend .padding-h;
				}

				.content-empty {
					position:relative;
					top:calc(#{$navbar-height * 4});
				}

				.content-empty-icon {
				}

				.content-empty-title {
				}

				.content-empty-message {
				}

			//Content
				.content-wrapper {
					width:$content-width;
					max-width:$content-max-width;
					min-width:$content-min-width;
					margin:auto;
					padding-bottom: 70px; //secure a space for mobile browser view
					&.content-max-width-xs { max-width:$content-max-width-xs; }
					&.content-max-width-sm { max-width:$content-max-width-sm; }
					&.content-max-width-sidebar { max-width:calc(#{$content-max-width} - #{$sidebar-width}); }
					.content { 
						@extend .text-left;
						@extend .text-black;
						&.content-card {
							@extend .margin;
							@extend .bg-white; 
							@extend .card;
							@extend .rounded-xs;
						}
						.content-top {
							@extend .padding-h;
							.content-title {
								@extend .text-left;
								@extend .text-2x;
							}
						}
						.content-middle {
							@extend .padding-h;
						}
						.content-bottom {
							@extend .padding-h;
						}
					}
					/*
					@media screen and (max-width: $max-width-sm) {
						.content.content-card {
							background-color: white;
							padding:0 !important;
							margin:0 !important;
							border:none;
							border-radius:0;
						}
					}
					*/
				}
	/* END */
	/* START: Floating Action Button */
		.floating-action-button { 
			height:$floating-action-button-size; 
			width:$floating-action-button-size; 
			background-color:$floating-action-button-bg-color;
			@extend .padding-xs;
			@extend .rounded-full;
			@extend .border;
			position:relative;
			i {
				@extend .position-center;
				@extend .text-primary;
			}
		}

		.floating-action-button.disabled { 
			cursor: not-allowed;
			pointer-events: none;
			i {
				color:$text-color-disabled;
			}
		}
	/* END */
	/* START: Header */
		.header {
			position:fixed;
			top:0;
			z-index: $z-index-header;
			height:$header-height;
			width:100%;
			background-color:$header-bg-color;
			a.btn {
				margin:$space-sm;
				height:calc(#{$header-height} - 2 * #{$space-sm});
				line-height:calc(#{$header-height} - 2 * #{$space-sm} - 2px);
				@extend .no-padding-v;
			}
			a.btn-link {
				color:$color-black;
			}
			a.btn-default {
				color:$color-primary;
			}
		}

		.header-backwall {
			height:$header-height;
			width:100%;
		}

		.header-btn {
			a {
				height:calc(#{$header-height} - 2 * #{$space-sm});
				width:calc(#{$header-height} - 2 * #{$space-sm});
				line-height:calc(#{$header-height} - 2 * #{$space-sm});
				color: $text-color-secondary;
				@extend .no-padding;
			}
		}

		.header-title {
			height:$header-height;
			color:$header-title-text-color;
			font-size:$header-title-text-size;
			line-height:$header-height;
			@extend .text-b;
		}
	/* END */
	/* START: Icon */
		.icon {
			@extend .no-select;
		}
		.icon-10, .icon-10.material-icons {
			@extend .icon;
			line-height: 10px;
			height: 10px;
			width: 10px;
		}
		.icon-20, .icon-20.material-icons {
			@extend .icon;
			font-size: 18px;
			line-height: 20px;
			height: 20px;
			width: 20px;
		}
		.icon-30, .icon-30.material-icons {
			@extend .icon;
			line-height: 30px;
			height: 30px;
			width: 30px;
		}
		.icon-40, .icon-40.material-icons {
			@extend .icon;
			line-height: 40px;
			height: 40px;
			width: 40px;
		}
		.icon-50, .icon-50.material-icons {
			@extend .icon;
			line-height: 50px;
			height: 50px;
			width: 50px;
		}
		.icon-100, .icon-100.material-icons {
			@extend .icon;
			font-size: 72px;
			line-height: 100px;
			height: 100px;
			width: 100px;
		}
	/* END */
	/* START: List Awesome */
		/* START: la-row */
			.la-border .la-row {
				border-bottom:solid thin #CCC;
			}
			
			.la-hover .la-row:hover {
				background-color:#eee;
			}
			
			.la-pointer .la-row {
				cursor:pointer;
			}
			
			.la-row {
				overflow:hidden;
				width:100%;
			}
			
			.la-row a {
				color:#000;
			}
			
			.la-row .la-img {
				border-radius:20px;
				border:solid thin #CCC;
				width:40px;
			}
			
			.la-row .la-icon {
				vertical-align:top;
				display:inline-block;
				border:solid thin transparent;
				color:#555;
			}
			
			.la-row .la-desc {
				display:inline-block;
			}
			
			.la-row .la-btn {
				display:block;
				border:solid thin transparent;
			}
			
			.la-icon + .la-desc {
				width:calc(100% - 55px);
			}
			
			.la-row.la-row-subtitle {
				cursor:default;
			}
			.la-row.la-row-subtitle:hover {
				background-color:transparent;
			}
			
			.la-row.la-row-subtitle .la-text {
				color:#777;
			}
			
			.la-row.disabled .la-icon {
				color:#999;
			}
			
			.la-row.disabled .la-desc {
				color:#999;
			}
			
			.la-row.disabled .la-btn {
				color:#999;
			}
		/* END */
		/* START: la-desc */
			.la-text {
				height:35px;
				line-height:22px;
			}
			
			.la-desc .la-text.la-text-clamp-1 {
				height:35px;
				line-height:22px;
			}
			
			.la-desc .la-text.la-text-clamp-2 {
				height:35px;
				line-height:17.5px;
			}
			
			.la-desc .la-text-main.la-text-clamp-1 {
				height:35px;
				line-height:22px;
			}
			
			.la-desc .la-text-main.la-text-clamp-2 {
				height:35px;
				line-height:17.5px;
			}
			
			.la-desc.la-desc-line-2 .la-text-main {
				height:20px;
				line-height:20px;
			}
			
			.la-desc.la-desc-line-2 .la-text-sub {
				height:15px;
				line-height:15px;
			}
		/* END */
		/* START: la-text */
			.la-text-small {
				font-size:11px;
			}
			
			.la-text {
				overflow: hidden;
				text-overflow: ellipsis;
				display: flex;  /* enables centering for modern non-webkit browsers */
				flex-direction: column;
				justify-content: space-around; /* centers for modern non-webkit browsers */
				display: -webkit-box;
				-webkit-line-clamp: 1;
				-webkit-box-orient: vertical;
				-webkit-box-pack: center; /* centers in -webkit-box automagically! */
			}
			
			.la-text-main {
				font-weight:bold;
			}
			
			.la-text-sub {
				color:#777;
				font-size:11px;
			}
			
			.la-text-clamp-1 {
				-webkit-line-clamp: 1;
			}
			
			.la-text-clamp-2 {
				-webkit-line-clamp: 2;
			}
		/* END */
		/* START: la-30 */
			.la.la-30 .la-row {
				height:30px;
			}
			
			.la.la-30 .la-row .la-icon, .la.la-30 .la-row .la-btn {
				padding:4px 15px;
			}
			
			.la.la-30 .la-row .la-desc {
				padding:0 15px;
				line-height:30px;
			}
			
			.la.la-30 .la-row .la-text {
				height:30px;
				line-height:30px;
			}
			
			.la.la-30 .la-row img {
				margin:0 15px;
			}
		/* END */
		/* START: la [default] */
			.la .la-row {
				height:40px;
			}
			
			.la .la-row .la-icon, .la .la-row .la-btn {
				padding:9px 12px;
			}
			
			.la .la-row .la-desc {
				padding:2.5px 12px;
			}
		/* END */
		/* START: la-40 */
			.la.la-40 .la-row {
				height:40px;
			}
			
			.la.la-40 .la-row .la-icon, .la.la-40 .la-row .la-btn {
				padding:9px 12px;
			}
			
			.la.la-40 .la-row .la-desc {
				padding:2.5px 12px;
			}
			
			.la.la-40 .la-row img {
				margin:0 12px;
			}
		/* END */
		/* START: la-50 */
			.la.la-50 .la-row {
				height:50px;
			}
			
			.la.la-50 .la-row .la-icon, .la.la-50 .la-row .la-btn {
				padding:14px 12px;
			}
			
			.la.la-50 .la-row .la-desc {
				padding:7.5px 12px;
			}
			
			.la.la-50 .la-row img {
				margin:5px 12px;
			}
		/* END */
		/* START: la-60 */
			.la.la-60 .la-row {
				height:60px;
			}
			
			.la.la-60 .la-row .la-icon, .la.la-60 .la-row .la-btn {
				padding:19px 12px;
			}
			
			.la.la-60 .la-row .la-desc {
				padding:12.5px 12px;
			}
			
			.la.la-60 .la-row img {
				margin:10px 12px;
			}
		/* END */
		/* START: la-70 */
			.la.la-70 .la-row {
				height:70px;
			}
			
			.la.la-70 .la-row .la-icon, .la.la-70 .la-row .la-btn {
				padding:24px 12px;
			}
			
			.la.la-70 .la-row .la-desc {
				padding:17.5px 12px;
			}
			
			.la.la-70 .la-row img {
				margin:15px 12px;
			}
		/* END */
		// List Awesome Nav List
		
		.la.la-nav {
			padding-left: 0;
  			margin: 0;
  			list-style: none;

  			>li {
  				position: relative;
  				display: block;
  				
  				>a {
  					position: relative;
  					display: block;
  					padding: 10px 15px;
  				}
  				>a:hover {
  					text-decoration: none;
  					background-color: #eee;
  				}
  			}

  			li.disabled > a {
  				color: #777;
			}

			> li.disabled > a:hover,
			> li.disabled > a:focus {
			  	color: #777;
			  	text-decoration: none;
			  	cursor: not-allowed;
			  	background-color: transparent;
			}

			> li.dropdown > .dropdown-menu {
				margin-top: 0;
				border-top-left-radius: 0;
				border-top-right-radius: 0;
			}
		}

		.la.la-nav-h{
			float: left;
   	 		margin: 0;
			
			> li {
		    	float: left;
			}

			> li > a {
			    padding-top: 15px;
			    padding-bottom: 15px;
			}
		}
		
		.la.la-nav.height-header >li{
			height: $header-height;

			>a {
				height:100%;
				padding: 10px 15px;
			}
		}

		.la.la-nav.la-30 >li{
			height: 30px;

			>a {
				height:100%;
				padding: 5px 15px;
			}
		}

		.la.la-nav.la-40 >li{
			height: 40px;

			>a {
				height:100%;
				padding: 10px 15px;
			}
		}
	/* END */
	/* START: Menu */
		.menu {
			.modal-body {
				direction:rtl;
				height:100vh;
				@extend .padding-top;
			}

			.modal-body > div {
				direction:ltr;
			}

			.list-group {
				@extend .no-margin;
				.list-group-item {
					@extend .no-rounded;
					@extend .no-border;
					&.active {
						@extend .palette-primary-inverted;
					}
				}
			}
	}
	/* END */
	/* START: Modal */
		.modal {
			@extend .no-padding;

			.modal-back-dismiss {
				position: absolute;
				width:100%;
				height:100%;
				background-color:black; 
				opacity:0.7;
			}
			
			.modal-dialog {
				height: 100vh;
				width: 100vw;
				@extend .no-margin;

				.modal-content {
					@extend .text-left;
					@extend .no-border;
					@extend .no-box-shadow;
					@extend .no-rounded;

					.modal-header {
						@extend .no-padding;
						@extend .no-border;

						.btn {
							@extend .no-padding-v;
						}

						.title {
							@extend .text-line-1;
							@extend .text-b;
						}
					}

					.modal-body {
						width:100%;
						@extend .scrollable-y;
					}
				}
			}
		}

		//navbar
			.modal .navbar {
				position:absolute;
			}

		//modal-full
			.modal.modal-full {
				.modal-content {
					height:100vh;
					width:100vw;
					min-width: $navbar-min-width;
					.modal-body {
						height:calc(100vh - #{$navbar-height});
					}
				}
			}

			.modal.modal-full .modal-dialog .modal-content{ 
				opacity: 0;
				@include transition(opacity .4s ease-out);				
			}

			.modal.modal-full.in .modal-dialog .modal-content{
				opacity: 1;
			} 

		//modal-center
			.modal.modal-center {
				.modal-content {
					min-width: calc(#{$navbar-min-width} - 2 * #{$space-sm});
					@extend .position-fixed-center;
					@extend .margin-sm;
					.modal-body {
						height:calc(100vh - #{$navbar-height} - 2 * #{$space-sm});
						width:100%;
						@extend .scrollable-y;
					}
				}
			}

			.modal.modal-center .modal-dialog .modal-content{ 
				opacity: 0;
				@include transition(opacity .4s ease-out);				
			}

			.modal.modal-center.in .modal-dialog .modal-content{
				opacity: 1;
			}

		//modal-center-small
			.modal.modal-center-small {
				.modal-content {
					min-width: 500px;
					@extend .position-center;
					.modal-body {
						width:100%;
					}
				}
			}

			.modal.modal-center-small .modal-dialog .modal-content{ 
				opacity: 0;
				@include transition(opacity .4s ease-out);				
			}

			.modal.modal-center-small.in .modal-dialog .modal-content{
				opacity: 1;
			}

		//modal-top
			.modal.modal-top {
				.modal-content {
					width:100vw;
					min-width: $navbar-min-width;
					@extend .position-fixed-top;
				}
			}

			.modal.modal-top .modal-dialog .modal-content{ 
				height: auto;
				top: -100%;
				opacity: 0;
				@include transition(opacity,top .4s ease-out);			
			}

			.modal.modal-top.in .modal-dialog .modal-content{
				top: 0;
				opacity: 1;
			} 

		//modal-bottom
			.modal.modal-bottom {
				.modal-content {
					width:100vw;
					min-width: $navbar-min-width;
					@extend .position-fixed-bottom;
				}
			}

			.modal.modal-bottom .modal-dialog .modal-content{ 
				height: auto;
				bottom: -100%;
				opacity: 0;
				@include transition(opacity,bottom .4s ease-out);			
			}

			.modal.modal-bottom.in .modal-dialog .modal-content{
				bottom: 0;
				opacity: 1;
			} 

		//modal-left
			.modal.modal-left {
				.modal-content {
					width: $menu-width;
					height:100vh;
					@extend .position-fixed-left;
					.modal-body {
						height:calc(100vh - #{$navbar-height});
					}
				}
			}

			.modal.modal-left .modal-dialog .modal-content{ 
				left: -100%;
				opacity: 0;
				@include transition(opacity,left .4s ease-out);			
			}

			.modal.modal-left.in .modal-dialog .modal-content{
				left: 0;
				opacity: 1;
			} 

		//modal-right
			.modal.modal-right {
				.modal-content {
					width: $menu-width;
					height:100vh;
					@extend .position-fixed-right;
					.modal-body {
						height:calc(100vh - #{$navbar-height});
					}
				}
			}

			.modal.modal-right .modal-dialog .modal-content{ 
				right: -100%;
				opacity: 0;
				@include transition(opacity,right .4s ease-out);			
			}

			.modal.modal-right.in .modal-dialog .modal-content{
				right: 0;
				opacity: 1;
			}
	/* END */
	/* START: Navbar */
		//navbar
			.navbar {
				z-index: $z-index-header;
				width:$navbar-width;
				height: $navbar-height;
				@extend .no-border;
				a.btn {
					height:$navbar-btn-size;
					line-height:$navbar-btn-line-height;
					margin:$navbar-btn-margin;
					opacity:0.8;
				}
			}

		//navbar-web
			.navbar-web {
				@extend .visible-xs;
				min-width: $navbar-min-width;
				max-width: $navbar-max-width;
			}

		//navbar-modal
			.navbar-modal {

			}

		//navbar-backwall
			.navbar-backwall {
				width:$navbar-width;
				min-width: $navbar-min-width;
				max-width: $navbar-max-width;
				height: $navbar-height;
			}

		//navbar-btn
			.navbar-btn {
				@extend .no-margin;	//overwrite bootstrap
				a.btn {
					width:$navbar-btn-size;
					@extend .no-padding;
				}
			}

		//navbar-link
			.navbar-link {
				a.btn {
					@extend .no-padding-v;
					@extend .padding-xs-h;
				}
			}

		//navbar-title
			.navbar-title {
				height:$navbar-height;
				font-size:$navbar-title-text-size;
				@extend .text-line-container;
				@extend .padding-sm-h;
			}

			.navbar-type-20 .navbar-title {
				width:calc(#{$navbar-width} - #{$navbar-height});
				min-width:calc(#{$navbar-min-width} - #{$navbar-height});
			}

			.navbar-type-21 .navbar-title {
				width:calc(#{$navbar-width} - 2 * #{$navbar-height});
				min-width:calc(#{$navbar-min-width} - 2 * #{$navbar-height});
			}

			.navbar-type-22 .navbar-title {
				width:calc(#{$navbar-width} - 3 * #{$navbar-height});
				min-width:calc(#{$navbar-min-width} - 3 * #{$navbar-height});
			}

			.modal {
				.navbar-type-20 .navbar-title {
					width:calc(#{$navbar-width} - 2 * #{$navbar-height} - 2 * #{$space-sm});
					min-width:calc(#{$navbar-min-width} - 2 * #{$navbar-height} - 2 * #{$space-sm});
				}

				.navbar-type-21 .navbar-title {
					width:calc(#{$navbar-width} - 2 * #{$navbar-height} - 2 * #{$space-sm});
					min-width:calc(#{$navbar-min-width} - 2 * #{$navbar-height} - 2 * #{$space-sm});
				}

				.navbar-type-22 .navbar-title {
					width:calc(#{$navbar-width} - 3 * #{$navbar-height} - 2 * #{$space-sm});
					min-width:calc(#{$navbar-min-width} - 3 * #{$navbar-height} - 2 * #{$space-sm});
				}
			}

		//position
			.navbar-fixed-top {
				position:fixed;
				left:0;
				right:0;
			}

			.navbar-position-1 {
				@extend .navbar-fixed-top;
				top:calc(0 * #{$navbar-height});
			}

			.navbar-position-2 {
				@extend .navbar-fixed-top;
				top:calc(1 * #{$navbar-height});
			}

			.navbar-position-3 {
				@extend .navbar-fixed-top;
				top:calc(2 * #{$navbar-height});
			}

		.navbar-primary {
			@extend .palette-primary-inverted;
			a , span, li {
				color: $palette-primary-inverted-text-color;
			}
		}

		.navbar-modal.navbar-primary {
			background-color:#d5d5d5;
			@extend .border-dark-bottom;
			a {
				@extend .text-primary;
			}
			.navbar-title > span {
				@extend .text-black;
			}
		}
	/* END */
	/* START: Panel */
		.panel {
			.list-group {
				@extend .no-margin;
				.list-group-item {
					@extend .no-rounded;
					@extend .no-border;
					&.active {
						@extend .default-cursor;
						@extend .palette-primary;
					}
					.icon {
						display: none;
					}
				}
			}
		}
	/* END */
	/* START: Pop */
		.pop {
		    position:fixed;
		    right: $space-sm;
			bottom: $space-sm;
		    margin:auto;   
		    height:50px;
		    line-height:50px;
		    background-color: rgba(0,0,0,0.9);
		    color:#FFF;
		    z-index:15000;
		    	@extend .no-padding-v;
		    	@extend .padding-h;
		}

		@media screen and (max-width: $max-width-sm) {
			.pop {
				width: calc(100% - 2 * #{$space-sm});
			}
		}
	/* END */
	/* START: Sidebar */
		.dropdown-menu {
			>li a {
			background-color: white;	
			color: black !important;
			}	
		}

		.sidebar-push-right {
			margin-left: $sidebar-width;
		}

		.sidebar-width {
			width: $sidebar-width;
		}

		.sidebar-main {
	 		text-align: left;
	        position: absolute;
	        top: $navbar-height;
	        left: 0;
	        width: $sidebar-width;
	        border-right:  1px rgba(0,0,0,.3) solid;
	        border-radius: 0;
	        overflow-y: 0;
	        background-color: $sidebar-default-color;
	        bottom: 0;
	        overflow-x: 0;
	        padding-bottom: 40px;
	        z-index: $z-index-sidebar;
	        
	        -webkit-transition: -webkit-transform 0.3s ease-in-out, width 0.3s ease-in-out;
	        -moz-transition: -moz-transform 0.3s ease-in-out, width 0.3s ease-in-out;
	        -o-transition: -o-transform 0.3s ease-in-out, width 0.3s ease-in-out;
	        transition: transform 0.3s ease-in-out, width 0.3s ease-in-out;		        
		}

		.sidebar-main.responsive {
			@media (max-width: 767px) {
				@include transformx(-$sidebar-width);
			}	
		}

		@media (max-width: 767px) {
			.sidebar-main.open {
				@include transformx(0);
			}
		}	

		.sidebar-main>ul>li>a {
	        width: $sidebar-width;
	        color: $sidebar-default-tx-color;
	    }

	    .sidebar-main ul>li a:hover,
	    .sidebar-main ul>li a:focus {
	        outline: none;
	        background-color: $sidebar-default-hov-color;
	    	color: $sidebar-default-hov-tx-color;
	    }

		.sidebar-main>ul>li>ul {
		    padding: 0;
		    border-bottom: 1px rgba(0,0,0,.3) solid;
		}

		.sidebar-main>ul>li>ul>li>a {
		    display: block;
		    padding: 10px 15px 10px 38px;
		    text-decoration: none;
		    color: $sidebar-default-tx-color;    
		}

		.sidebar-main>ul>li>ul>li>a:hover {
			background-color: $sidebar-default-hov-color;
		    color: $sidebar-default-hov-tx-color;    
		}

		/*

		.sidebar-main.sidebar-primary{
			background-color: $primary-component-color;
			// 1st level
			>ul>li>a {
				color: $primary-component-tx-color;
			}

			>ul>li a:hover,
			>ul>li a:focus {
				background-color: $primary-component-hov-color !important;
				color: $primary-component-hov-tx-color;
			}

			>ul>li>ul>li>a {
				color: $primary-component-tx-color;
			}

			>ul>li>ul>li>a:hover {
		    	background-color: $primary-component-hov-color !important;
				color: $primary-component-hov-tx-color;
			}
		}

		.sidebar-main.sidebar-secondary{
			background-color: $secondary-component-color;
			// 1st level
			>ul>li>a {
				color: $secondary-component-tx-color;
			}

			>ul>li a:hover,
			>ul>li a:focus {
				background-color: $secondary-component-hov-color !important;
				color: $secondary-component-hov-tx-color;
			}

			>ul>li>ul>li>a {
				color: $secondary-component-tx-color;
			}

			>ul>li>ul>li>a:hover {
		    	background-color: $secondary-component-hov-color !important;
				color: $secondary-component-hov-tx-color;
			}
		}

		.sidebar-main.sidebar-tertiary{
			background-color: $tertiary-component-color;
			// 1st level
			>ul>li>a {
				color: $tertiary-component-tx-color;
			}

			>ul>li a:hover,
			>ul>li a:focus {
				background-color: $tertiary-component-hov-color !important;
				color: $tertiary-component-hov-tx-color;
			}

			>ul>li>ul>li>a {
				color: $tertiary-component-tx-color;
			}

			>ul>li>ul>li>a:hover {
		    	background-color: $tertiary-component-hov-color !important;
				color: $tertiary-component-hov-tx-color;
			}
		}

		.sidebar-main.sidebar-custom{
			background-color: $sidebar-custom-color;
			// 1st level
			>ul>li>a {
				color: $sidebar-custom-tx-color;
			}

			>ul>li a:hover,
			>ul>li a:focus {
				background-color: $sidebar-custom-hov-color !important;
				color: $sidebar-custom-hov-tx-color;
			}

			>ul>li>ul>li>a {
				color: $sidebar-custom-tx-color;
			}

			>ul>li>ul>li>a:hover {
		    	background-color: $sidebar-custom-hov-color !important;
				color: $sidebar-custom-hov-tx-color;
			}
		}
		*/
	/* END */
	/* START: Tab */
		.tab {
			z-index: $z-index-header;
			top: $header-height !important;
			@extend .position-fixed-top;
			.list-group {
				background-color: $tab-bg-color;
				@extend .border-bottom;
				@extend .no-margin;
				.list-group-item {
					height:$tab-height;
					display: inline-block;
					@extend .default-width;
					@extend .text-left;
					@extend .text-disabled;
					@extend .no-border;
					@extend .no-bg-color;
					@extend .no-rounded;
					&:hover {
						border-bottom: solid $color-primary !important;
					}
					&.active {
						color:black;
						@extend .text-b;
						border-bottom: solid $color-primary !important;
					}
					.icon {
						display: none;
					}
				}
			}
		}

		.tab-backwall {
			height:$tab-height;
			width:100%;
		}
	/* END */
	/* START: Textbox */
		.textbox-20 {
			height: 20px;
			line-height: 20px;
			display:block;
			white-space:nowrap;
			@extend .padding-h;
			@extend .text-line-1;
		}
		.textbox-30 {
			height: 30px;
			line-height: 30px;
			display:block;
			white-space:nowrap;
			@extend .padding-h;
			@extend .text-line-1;
		}
		.textbox-40 {
			height: 40px;
			line-height: 40px;
			display:block;
			white-space:nowrap;
			@extend .padding-h;
			@extend .text-line-1;
		}
		.textbox-50 {
			height: 50px;
			line-height: 50px;
			display:block;
			white-space:nowrap;
			@extend .padding-h;
			@extend .text-line-1;
		}
	/* END */
/* END */
/* START: Print */
	@media print {
		html, body {
			overflow: auto;
		}
    a[href]:after {
      content: none !important;
    }

    .hidden-print {
    	display: none !important;
    }

    .print-col-12 {
      width: 100%;
    }
	}
/* END */

/* START: Image Holder */
.image-holder {
	position: relative;
    display: block;
    width: 100%;
    height:100%;
    max-width: 500px;
    max-height: 500px;
    margin:auto;
    right: 0;
    left:0;

    @extend .border;

	.image-canvas {

	}

	.image-action-bottom {
		position:absolute;
		bottom: -15px;
		width:100%;
		
		a {
			float: right; 
			@extend .btn-primary-inverted;
		}
	}

	.image-action-bottom-lg {
		@extend .image-action-bottom;
		bottom: -20px;

	}

	.image-action-top {
		position:absolute;
		top: -15px;
		width:100%;

		a {
			float: right; 
			@extend .btn-primary-inverted;
		}
	}

	.image-action-top-lg {
		@extend .image-action-top;
		top: -20px;

	}


	img {
		width: 100%;
    	height:100%;
	}

	.image-label {
		@extend .border-top;
	}
	
	.image-action-layer {

		display:none;
	}
}

.image-holder:hover {
	
	.image-action-layer {
		position:absolute;
		top:0px;
		width: 100%;
		height:100%;
		color:white;
		display: block;

		a {
			color:white;			
		}

		.image-delete {
			@extend .padding;
			position: absolute;
			background-color:  rgba(0, 0, 0, 0.5);
			background: black;
			right:0px;

		}

		.image-crop {
			position: absolute;
			background-color:  rgba(0, 0, 0, 0.5);
			background: black;
			right:0px;
			bottom:0px;
		}

		.image-delete:hover, .image-crop:hover {
			background-color: gray;
		}		
	}
}


// Sizing
.image-holder.image-xs {
	max-width: 100px;
	max-height:100px;
}

.image-holder.image-sm {
	max-width: 200px;
	max-height:200px;
}

.image-holder.image-md {
	max-width: 250px;
	max-height:250px;
}

.image-holder.image-lg {
	max-width: 500px;
	max-height:500px;
}



/* END */


/* USER GROUP COMPONENT COLOR CONTROL */
/* Admin version button*/
.master-admin {
	
	// Text Color
	.text-primary { color: $color-admin !important; } //overwrite bootstrap
	

	// Button
	.btn-primary {
		@extend .palette-admin-inverted-block;
	}

	.btn-primary-inverted {
		@extend .palette-admin-block;
	}

	.btn-link {
		color: $color-admin;
		&:hover {
			color: darken($color-admin, 5%);
		}
	}

	.navbar-primary {
		@extend .palette-admin-inverted;
		a , span, li {
			color: $palette-admin-inverted-text-color;
		}
	}

	.tab {	
		&:hover,  &.active {
			border-bottom: solid $color-admin !important;
		}		
	}
}